#include <iostream>
using namespace std;

int main()
{
    long long int n;
    cin >> n;
    if(n == 2){
        int niz[2];
        cin >> niz[0] >> niz[1];

        cout << niz[1] << ' ' << niz[0];
    }
    else
    {
        long long int niz[100];
        cin >> niz[0];
        int najv = 0, najm = 0;
        for(int i = 1 ; i < n ; i ++){
                cin >> niz[i];
                if(niz[i-1] > niz[i]) najv++;
                if(niz[i - 1] < niz[i]) najm++;
        }


        bool b = false;

        if(najv > najm){
            for(int i = 0 ; i < n - 1; i ++)
            {
                for(int j = i +1 ; j < n; j++)
                    if(niz[i]< niz[j])
                    {
                        int a = niz[j];
                        niz[j] = niz[i];
                        niz[i] = a;
                        b = true;
                        break;
                    }
                    if(b) break;
            }


        }
        else{
            for(int i = 0 ; i < n - 1; i ++)
            {
                for(int j = i +1 ; j < n; j++)
                    if(niz[i]< niz[j])
                    {
                        int a = niz[j];
                        niz[j] = niz[i];
                        niz[i] = a;
                        b= true;
                        break;
                    }
                    if(b) break;
            }

        for(int i = 0 ; i < n ; i++) cout << niz[i] << ' ';
    }
}
}